#ifndef __CD750_CLIENT__
#define __CD750_CLIENT__

#pragma once

#include "MemoryDef.h"
#include "MemoryComm.h"
#include "VideoCaptureView.h"
 class CVideoCaptureView;

class CMemoryClient:public CMemoryComm
{
public:
	CMemoryClient(void);
	~CMemoryClient(void);

private:
	HANDLE m_hThread;
	HANDLE m_hEvent;
	static BOOL m_bCapture;
	static BOOL m_bIsConnect;
	static HANDLE m_hThreadAudio;
public:
	static CVideoCaptureView* m_pView;
	static HANDLE m_hRecordFile;
	BOOL StartThread();
	void EndOfThread();
	static DWORD WINAPI ThreadProc(LPVOID lpVoid);
	static DWORD WINAPI ThreadAsyAudio(LPVOID lpVoid);
	//static BOOL WINAPI NotifyEventCallback(DWORD dwEventCode, LPVOID lpEventData, LPVOID lpUserData);
	//static void ModifyName(const CAPTUREIMAGE_NOTIFY_INFO* pCapImageNotifyInfo);
private:
	static BOOL CaptureImage(const CMD_CaputerImage& cmd, BOOL bSingle = TRUE);
	static BOOL SynCaptureAudio(const CMD_CaputerAudio& cmd);
	static BOOL AsyCaptureAudio(const CMD_CaputerAudio& cmd);
	static BOOL StopCaptureAudio();
	static BOOL Startstreaming();
	static BOOL Stoptstreaming();
};

#endif // __CD750_CLIENT__